# Josh's Utilities - C++ Edition


jutils is a project to compile reusable and generic functions that are very useful, but don't merit having an entirely separate library for each one.

Think of it like a swiss-army knife for programming, or an orphanage for otherwise homeless code.

## Included Utilities

* `vector<string> string_expand(string input, char delimiter=' ');`
* `bool string_matches(string input, vector<string> matches);`

## Design Goals

* Minimal dependencies with other libraries. If it depends on another library (say, JJX), it should be packaged with it, or maybe as an addon library to the parent.
* As functions are collected that could be grouped into their own library in a sensible way, they should be moved as such.
* All jutils functions are completely stateless. The input arguments solely determine the output.
* All functions should be rigorously documented, sanity-checked, and unit tested.

## Contributions

Have your own useful stuff that doesn't seem to fit anywhere else? Send in a pull request!!

## License

As part of our philosophy and policy, This work is expressly dedicated to the Public Domain.
