/// Josh's Utility Library - C++ Functions without a Home.
/// https://git.redacted.cc/josh/jutils
/// Contact: josh@redacted.cc
/// (c) 2025 redacted.cc
/// This work is explicitly dedicated to the Public Domain.

#pragma once

#include <vector>
#include <string>

namespace jutils
{
	/// Returns a list of individual tokens from a given string, which is split where instances of the delimiter character occur.
	/// Sample: The Quick Brown Fox -> {The, Quick, Brown, Fox}
	///
	std::vector<std::string> string_expand(const std::string& input, char delimiter = ' ');
	bool string_matches(const std::string& x, const std::vector<std::string>& v);




}
